@import "font-awesome";

.gzl-color-light-green {
  color: #77C310;
}

.gzl-color-light-red {
  color: #FF5E5B;
}

.gzl-color-light-orange {
  color: #FFA100;
}

.gzl-color-light-purple {
  color: #a74ac7;
}

.gzl-color-light-blue {
  color: deepskyblue;
}

.gzl-color-yellow {
  color: #DAD401;
}

.gzl-color-light-grey {
  color: darkgrey;
}

.gzl-color-light-black {
  color: black;
}

.fa {
  margin-left: 0.3em;
  margin-right: 0.3em;
  font-size: 1.2em;
}

a:hover span.fa {
  transform: scale(1.2);
}

.gzl-icon-4x {
  @extend .fa-4x;
}

.gzl-icon-2x {
  font-size: 2em !important;
}

nav a span.fa {
  margin-left: 0.4em;
  margin-right: 0.5em;
  font-size: 1.2em;
  width: 1em;
  text-align: center;
  color: inherit;
}

button span.fa, #navbar span.fa {
  margin-left: 0;
}

#navbar span.fa {
  font-size: 1.4em;
}

.gzl-icon-action {
  cursor: pointer;
}

.gzl-icon-stack {
  @extend .fa;
  position: relative;
  display: inline-block;
  width: 1.2em;
  height: 1em;
  //line-height: 0.8em;
  font-size: inherit;
  margin-right: 0.6em;
  margin-left: 0;
  vertical-align: baseline;
}

.gzl-icon-stack-1x, .gzl-icon-stack-2x {
  //@extend .fa;
  position: absolute;
  left: 0;
  width: 100%;
  text-align: left;
}

.gzl-icon-stack-1x {
  line-height: inherit;
}

.gzl-icon-stack-2x {
  line-height: inherit;
}

.gzl-icon-stack-bottom-right {
  line-height: initial;
  bottom: -10px;
  text-align: right;
}

.gzl-icon-stack-top-left {
  line-height: initial;
  bottom: 5px;
  left: -5px;
}

.gzl-icon-stack-bottom {
  line-height: initial;
  bottom: 0;
}

.gzl-icon-stack-right {
  left: 3px;
}

.gzl-icon-stack-up {
  line-height: initial;
  top: 0;
}

.gzl-icon-stack-small-bottom-right {
  font-size: 90%;
  line-height: initial;
  bottom: -4px;
  text-align: right
}

.gzl-icon-lg {
  @extend .fa-lg;
}

.gzl-icon-checked, .gzl-icon-verified {
  @extend .fa;
  @extend .fa-check;
  @extend .gzl-color-light-green;
}

.gzl-icon-not-checked, .gzl-icon-completed {
  @extend .fa;
  @extend .fa-check;
}

.gzl-icon-circle-red {
  @extend .fa;
  @extend .fa-circle;
  @extend .gzl-color-light-red;
}

.gzl-icon-circle-green {
  @extend .fa;
  @extend .fa-circle;
  @extend .gzl-color-light-green;
}

.gzl-icon-up {
  @extend .fa;
  @extend .fa-chevron-up;
}

.gzl-icon-down {
  @extend .fa;
  @extend .fa-chevron-down;
}

.gzl-icon-circle-purple {
  @extend .fa;
  @extend .fa-circle;
  @extend .gzl-color-light-purple;
}

.gzl-icon-circle-blue {
  @extend .fa;
  @extend .fa-circle;
  @extend .gzl-color-light-blue;
}

.gzl-icon-plus {
  @extend .fa;
  @extend .fa-plus;
  @extend .gzl-color-light-green;
}

.gzl-icon-times-circle {
  @extend .fa;
  @extend .fa-times-circle;
  @extend .gzl-color-light-red;
}

.gzl-icon-files-o {
  @extend .fa;
  @extend .fa-files-o;
  @extend .gzl-text-blue;
}

.gzl-icon-trash-o {
  @extend .fa;
  @extend .fa-trash-o;
  @extend .gzl-color-light-red;
}
.gzl-icon-trash-o-disable{
  @extend .fa;
  @extend .fa-trash-o;
  @extend .gzl-color-light-grey;
}

.gzl-icon-download {
  @extend .fa;
  @extend .fa-download;
  @extend .gzl-text-blue;
}

.gzl-icon-pencil {
  @extend .fa;
  @extend .fa-pencil;
  @extend .gzl-text-blue;
}

.gzl-icon-gears {
  @extend .fa;
  @extend .fa-gears;
  @extend .gzl-text-blue;
}

.gzl-icon-preferences {
  @extend .fa;
  @extend .fa-gear;
  @extend .gzl-text-blue;
}

.gzl-icon-times, .gzl-icon-failed {
  @extend .fa;
  @extend .fa-times;
  @extend .gzl-color-light-red;
}

.gzl-icon-times-blue {
  @extend .fa;
  @extend .fa-times;
  @extend .gzl-text-blue;
}

.gzl-icon-history {
  @extend .fa;
  @extend .fa-history;
  @extend .gzl-text-blue;
}

.gzl-icon-users {
  @extend .fa;
  @extend .fa-users;
  @extend .gzl-text-blue;
}

.gzl-icon-share-alt {
  @extend .fa;
  @extend .fa-share-alt;
  @extend .gzl-text-blue;
}

.gzl-icon-save {
  @extend .fa;
  @extend .fa-save;
  @extend .gzl-text-blue;
}

/*force color to black because treeNode default to orange*/
.gzl-icon-save:before {
  color: rgb(51, 122, 183);
}

.gzl-icon-unlock {
  @extend .fa;
  @extend .fa-unlock;
  @extend .gzl-text-blue;
}

.gzl-icon-lock {
  @extend .fa;
  @extend .fa-lock;
  @extend .gzl-color-yellow;
}

.gzl-icon-print {
  @extend .fa;
  @extend .fa-print;
  @extend .gzl-text-blue;
}

.gzl-icon-compress {
  @extend .fa;
  @extend .fa-compress;
  @extend .gzl-text-blue;
}

.gzl-icon-link {
  @extend .fa;
  @extend .fa-link;
  @extend .gzl-text-blue;
}

.gzl-icon-minus {
  @extend .fa;
  @extend .fa-minus;
  @extend .gzl-color-light-red;
}

.gzl-icon-eye-slash {
  @extend .fa;
  @extend .fa-eye-slash;
  @extend .gzl-color-light-red;
}

.gzl-icon-undo {
  @extend .fa;
  @extend .fa-undo;
  @extend .gzl-text-blue;
}

.gzl-icon-upload {
  @extend .fa;
  @extend .fa-upload;
  @extend .gzl-text-blue;
}

.gzl-icon-search {
  @extend .fa;
  @extend .fa-search;
  @extend .gzl-text-blue;
}

.gzl-icon-partially-verified {
  @extend .fa;
  @extend .fa-star-half-o;
  @extend .gzl-text-orange;
}

.gzl-icon-exclamation-triangle, .gzl-icon-critical {
  @extend .fa;
  @extend .fa-exclamation-triangle;
  @extend .gzl-color-light-orange;
}

.gzl-icon-question-circle {
  @extend .fa;
  @extend .fa-question-circle;
  @extend .gzl-text-blue;
}

.gzl-icon-forward {
  @extend .fa;
  @extend .fa-forward;
}

.gzl-icon-forward-black {
  @extend .fa;
  @extend .fa-forward;
  @extend .gzl-color-light-black;
}

.gzl-icon-forward-off {
  @extend .fa;
  @extend .fa-forward;
  @extend .gzl-color-light-grey;
}

.gzl-icon-globe {
  @extend .fa;
  @extend .fa-globe;
  @extend .gzl-text-blue;
}

.gzl-icon-eye {
  @extend .fa;
  @extend .fa-eye;
  @extend .gzl-text-blue;
}

.gzl-icon-list {
  @extend .fa;
  @extend .fa-list;
  @extend .gzl-text-blue;
}

.gzl-icon-calendar {
  @extend .fa;
  @extend .fa-calendar;
  @extend .gzl-text-blue;
}

.gzl-icon-comment-o {
  @extend .fa;
  @extend .fa-comment-o;
  @extend .gzl-text-blue;
}

.gzl-icon-file-text-o {
  @extend .fa;
  @extend .fa-file-text-o;
  @extend .gzl-text-blue;
}

.gzl-icon-info-circle {
  @extend .fa;
  @extend .fa-info-circle;
  @extend .gzl-text-blue;
}

.gzl-icon-ban, .gzl-icon-aborted {
  @extend .fa;
  @extend .fa-ban;
  @extend .gzl-text-blue;
}

.gzl-icon-user {
  @extend .fa;
  @extend .fa-user;
  @extend .gzl-text-blue;
}

.gzl-icon-bug {
  @extend .fa;
  @extend .fa-bug;
}

.gzl-icon-medkit {
  @extend .fa;
  @extend .fa-medkit;
  @extend .gzl-text-blue;
}

.gzl-icon-paper-plane {
  @extend .fa;
  @extend .fa-paper-plane;
  @extend .gzl-text-blue;
}

.gzl-icon-play, .gzl-icon-started {
  @extend .fa;
  @extend .fa-play;
  @extend .gzl-color-light-green;
}

.gzl-icon-play-black {
  @extend .fa;
  @extend .fa-play;
}

.gzl-icon-paused {
  @extend .fa;
  @extend .fa-pause;
}

.gzl-icon-stop {
  @extend .fa;
  @extend .fa-stop;
  @extend .gzl-color-light-red;
}

.gzl-icon-refresh {
  @extend .fa;
  @extend .fa-refresh;
  @extend .gzl-text-blue;
}

.gzl-icon-email {
  @extend .fa;
  @extend .fa-envelope-o;
}

.gzl-icon-email-desactivate {
  @extend .gzl-icon-email;
  color: gray;
}

.gzl-icon-system {
  @extend .fa;
  @extend .fa-desktop;
}

/*force color to black because treeNode default to orange*/
.gzl-icon-system:before {
  color: black;
}

.gzl-icon-zoom-out {
  @extend .fa;
  @extend .fa-search-minus;
}

.gzl-icon-zoom-in {
  @extend .fa;
  @extend .fa-search-plus;
}

.gzl-icon-configure {
  @extend .fa;
  @extend .fa-wrench;
}

.gzl-icon-usd {
  @extend .fa;
  @extend .fa-usd;
}

.gzl-icon-file-o {
  @extend .fa;
  @extend .fa-file-o;
}

.gzl-icon-caret-down {
  @extend .fa;
  @extend .fa-caret-down;
}

.gzl-icon-caret-up {
  @extend .fa;
  @extend .fa-caret-up;
}

.gzl-icon-spin {
  @extend .fa;
  @extend .fa-spin;
}

.gzl-icon-ajax-loading {
  @extend .gzl-icon-refresh;
  @extend .gzl-icon-spin;
}

.gzl-icon-release {
  @extend .fa;
  @extend .fa-flag;
  @extend .gzl-color-light-red;
}

.gzl-icon-arrow-circle-o-right {
  @extend .fa;
  @extend .fa-arrow-circle-o-right;
}

.gzl-icon-arrow-circle-o-left {
  @extend .fa;
  @extend .fa-arrow-circle-o-left;
}

.gzl-icon-arrow-circle-down {
  @extend .fa;
  @extend .fa-arrow-circle-down;
}

.gzl-icon-filter {
  @extend .fa;
  @extend .fa-filter;
}

.gzl-icon-file-excel-o {
  @extend .fa;
  @extend .fa-file-excel-o;
}

.gzl-icon-undo {
  @extend .fa;
  @extend .fa-undo;
}

.gzl-icon-user-times {
  @extend .fa;
  @extend .fa-user-times;
}

.gzl-icon-filter {
  @extend .fa;
  @extend .fa-filter;
}

.gzl-icon-folder-open {
  @extend .fa;
  @extend .fa-folder-open;
  @extend .gzl-text-blue;
}

.gzl-icon-pie-chart {
  @extend .fa;
  @extend .fa-pie-chart;
  @extend .gzl-text-blue;
}

.gzl-icon-book {
  @extend .fa;
  @extend .fa-book;
  @extend .gzl-text-blue;
}

.gzl-icon-database {
  @extend .fa;
  @extend .fa-database;
  @extend .gzl-text-blue;
}

/*force color to black because treeNode default to orange*/
.gzl-icon-sample:before {
  color: black;
}

.gzl-icon-sample {
  @extend .fa;
  @extend .fa-eyedropper;
  -webkit-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  transform: rotate(-90deg);
}

a:hover span.fa-eyedropper {
  -webkit-transform: rotate(-90deg) scale(1.2);
  -ms-transform: rotate(-90deg) scale(1.2);
  transform: rotate(-90deg) scale(1.2);
}

.gzl-icon-register {
  @extend .fa;
  @extend .fa-pencil-square-o;
}

.gzl-icon-institution {
  @extend .fa;
  @extend .fa-building;
}

.gzl-icon-usd {
  @extend .fa;
  @extend .fa-usd;
}

.gzl-icon-tests {
  @extend .fa;
  @extend .fa-list-alt;
}

.gzl-icon-pencil-square-o {
  @extend .fa;
  @extend .fa-pencil-square-o;
}

.gzl-icon-key {
  @extend .fa;
  @extend .fa-key;
}

.gzl-icon-street-view {
  @extend .fa;
  @extend .fa-street-view;
}

.gzl-icon-tasks {
  @extend .fa;
  @extend .fa-tasks;
}

.gzl-icon-server {
  @extend .fa;
  @extend .fa-server;
}

.gzl-icon-user-plus {
  @extend .fa;
  @extend .fa-user-plus;
}

.gzl-icon-check-square-o {
  @extend .fa;
  @extend .fa-check-square-o;
}

.gzl-icon-calendar-o {
  @extend .fa;
  @extend .fa-calendar-o;
}

.gzl-icon-sort {
  @extend .fa;
  @extend .fa-sort;
}

.gzl-icon-back {
  @extend .fa;
  @extend .fa-arrow-left;
}

.gzl-icon-pdf {
  @extend .fa;
  @extend .fa-file-pdf-o;
}

.gzl-icon-xml {
  @extend .fa;
  @extend .fa-file-code-o;
}

.gzl-icon-arrow-right-request {
  @extend .fa;
  @extend .fa-arrow-right;
  @extend .gzl-color-light-green;
}

.gzl-icon-arrow-left-response {
  @extend .fa;
  @extend .fa-arrow-left;
  @extend .gzl-color-light-red;
}

.gzl-icon-random {
  @extend .fa;
  @extend .fa-random;
  @extend .gzl-text-blue;
}

.gzl-icon-play-blue {
  @extend .fa;
  @extend .fa-play;
  @extend .gzl-text-blue;
}

.gzl-icon-eraser {
  @extend .fa;
  @extend .fa-eraser;
  @extend .gzl-text-orange;
}

.gzl-icon-repeat {
  @extend .fa;
  @extend .fa-repeat;
  @extend .gzl-text-blue;
}

.gzl-icon-th-list {
  @extend .fa;
  @extend .fa-th-list;
  @extend .gzl-text-blue;
}

.gzl-icon-expand {
  @extend .fa;
  @extend .fa-plus-square-o;
}

.gzl-icon-collapse {
  @extend .fa;
  @extend .fa-minus-square-o;
}
